function varargout=plotelementsidx(q,me,varargin)
  [dim,d,nq,nme]=fc_meshtools.simplicial.get_dims(q,me);
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('HorizontalAlignment','center');
  p.addParamValue('VerticalAlignment','middle');
  p.addParamValue('FontSize',5);
  %p.addParamValue('Color','blue');
  %p.addParamValue('BackgroundColor','w');
  %p.addParamValue('edgecolor','none');
  p.addParamValue('margin',1);
  p.addParamValue('clipping','on');
  p.addParamValue('idx',[]);
  p.parse(varargin{:});
  R=p.Results;

  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  varargin=fc_tools.graphics.xcolor.colors_replace(varargin{:}); % 'Color' 'backgroundcolor''edgecolor'  
  varargin={varargin{:},'HorizontalAlignment',R.HorizontalAlignment, ...
                        'VerticalAlignment',R.VerticalAlignment, ...
                        'clipping',R.clipping, 'margin',R.margin,'FontSize',R.FontSize};
  
  Ba=fc_meshtools.simplicial.barycenters(q,me);
  if ~isempty(R.idx), idx=intersect(1:nme,R.idx);else, idx=1:nme;end
  strNum=num2str(idx');
  switch dim
    case 1
      h=text(Ba(1,idx),0*Ba(1,idx),strNum,varargin{:});
    case 2
      h=text(Ba(1,idx),Ba(2,idx),strNum,varargin{:});
    case 3
      h=text(Ba(1,idx),Ba(2,idx),Ba(3,idx),strNum, varargin{:});
    otherwise
      warning('Unable to plot in space dimension %d',dim);h=[];  
  end
  %leg=sprintf('Elmt num');
  if nargout==1, varargout{1}=h;end
  %if nargout==2, varargout{2}=leg;end % Use 'DisplayName' option ? not work
end
